=== debian/changelog ===
pstack (1.2-3) unstable; urgency=low

  * Fix incorrect error checking. (Closes: #355660)
  * Don't segfault if no _DYNAMIC symbol found. (Closes: #350345)
  * Use strerror on syscall failure. (Closes: #355620)
  * debian/watch
    + Comment out watch file as upstream archives are no longer
      availables. (Closes: #450008)
  * debian/control
    + Bump Standard-Version from 3.8.4 to 3.9.2 (no changes needed).
  * debian/copyright
    + Update copyright notices
    + Convert to DEP5 candidate format.
  * debian/compat
    + Bump debhelper compatibility from 7 to 8 (no changes needed).
  * debian/rules
    + Use a dh based debian/rules file
  * debian/format
    + Switch to dpkg-source 3.0 (quilt) format.

 -- Thomas Preud'homme <robotux@celest.fr>  Mon, 18 Oct 2010 22:30:04 +0200

pstack (1.2-2) unstable; urgency=low

  * New maintainer. (Closes: #568574)
  * Fix "fails to open object file" error. (Closes: #360922)
  * debian/control
    - Remove reference to upstream repository from package description
    - Bump Standard-Version from 3.6.1 to 3.8.4 (no changes needed).
    - Set Vcs-Browser and Vcs-Git fields.
  * debian/compat
    - Bump debhelper compatibility from 4 to 7 (no changes needed).

 -- Thomas Preud'homme <robotux@celest.fr>  Tue, 10 Aug 2010 01:05:59 +0200

pstack (1.2-1) unstable; urgency=low

  * Initial Release. (Closes: #149048)
  * Added better handling of command line parameters.

 -- Baruch Even <baruch@debian.org>  Fri,  8 Oct 2004 17:13:40 +0100
