=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export BINDIR = $$(DESTDIR)/usr/bin
export MANDIR = $$(DESTDIR)/usr/share/man

clean:
	rm -f build
	dh clean

build:
	dh build
	touch build

%:
	dh $@
