=== debian/watch ===
version=3

# http://download.fedora.redhat.com/pub/fedora/linux/core/development/SRPMS/ pstack-([\d.]+)-[\d.]+\.src.rpm	debian	uupdate
# upstream archive is no longer available neither is the project website
