=== debian/changelog ===
pstack (1.3.1-1) unstable; urgency=low

  * New upstream release
    + Drop all patches.
    + Add support for armel architecture.
  * debian/copyright:
    + Add missing hyphen in license statement: "GPL2+" -> "GPL-2+".
    + Give GPL-2+ its own License paragraph.
  * debian/control:
    + Reflect the new support of armel architecture.
  * debian/rules:
    + Remove no longer needed BINDIR and MANDIR variables.

 -- Thomas Preud'homme <robotux@celest.fr>  Mon, 03 Oct 2011 23:10:27 +0200

pstack (1.2-6) unstable; urgency=low

  * Fix compilation on i386: definition of __ASSEMPLY not needed.

 -- Thomas Preud'homme <robotux@celest.fr>  Sun, 11 Sep 2011 15:38:35 +0200

pstack (1.2-5) unstable; urgency=low

  * Add support for amd64. (LP: #532000)
  * Write pid in capital letter in long description, since it is an acronym.

 -- Thomas Preud'homme <robotux@celest.fr>  Sat, 10 Sep 2011 23:55:29 +0200

pstack (1.2-4) unstable; urgency=low

  * debian/rules:
    + Use dpkg-buildflags to set build flags (CPPFLAGS, CFLAGS and LDFLAGS).
  * debian/copyright: 
    + Document global license and copyright.
    + Set email and website of new upstream. (Closes: #608547)
  * debian/watch:
    + Set new URI to upstream resources.
  * debian/control:
    + Set DMUA flag.
    + Add a Homepage field.

 -- Thomas Preud'homme <robotux@celest.fr>  Fri, 19 Aug 2011 14:19:31 +0200
