=== debian/control ===
Source: pstack
Section: devel
Priority: optional
Maintainer: Thomas Preud'homme <robotux@celest.fr>
Build-Depends: debhelper (>= 8.0.0)
Standards-Version: 3.9.2
DM-Upload-Allowed: yes
Homepage: http://code.lm7.fr/p/pstack
Vcs-Browser: http://git.debian.org/?p=collab-maint/pstack.git;a=summary
Vcs-Git: git://git.debian.org/collab-maint/pstack.git

Package: pstack
Architecture: i386 amd64 armel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Display stack trace of a running process
 pstack dumps a stack trace for a process, given the PID of that process.  If
 the process named is part of a thread group, then all the threads in the group
 are traced.
