=== debian/watch ===
version=3

http://code.lm7.fr/media/upload/pstack/files/ pstack_([\d.]+)\.tar.gz debian uupdate
