=== debian/changelog ===
pstack (2.14-1) unstable; urgency=medium

  * Non-maintainer upload.
  * 

 -- lichenggang <lichenggang@deepin.org>  Thu, 07 Aug 2025 10:26:09 +0800
