=== debian/rules ===
--- 
+++ 
@@ -17,3 +17,5 @@
 
 %:
 	dh $@
+
+override_dh_auto_test:
